Page MenuHomePhabricator

[lldb] [DynamicRegisterInfo] Remove AddRegister() and make Finalize() protected
ClosedPublic

Authored by mgorny on Oct 9 2021, 12:25 PM.

Details

Summary

(note that this assumes parent diffs are merged)

Now that AddRegister() is no longer used, remove it. While at it,
we can also make Finalize() protected as all supported API methods
call it internally.

Diff Detail

Event Timeline

labath accepted this revision.Oct 11 2021, 4:24 AM

LGTM (assuming parent diffs are merged) :P

This revision is now accepted and ready to land.Oct 11 2021, 4:24 AM
This revision was landed with ongoing or failed builds.Oct 25 2021, 11:06 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 25 2021, 11:06 AM